Method: projects.locations.volumes.startSplit

Splits a clone volume from its source volume. This operation will only work for volumes which have cloneDetails set(clones). For volumes that are not clones, this operation will return an error.

HTTP request


POST https://netapp.googleapis.com/v1beta1/{name=projects/*/locations/*/volumes/*}:startSplit

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The full name of the clone volume to be split from its source. Format: projects/{projectNumber}/locations/{location}/volumes/{volumeId}

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • netapp.volumes.update

For more information, see the IAM documentation.